#!/usr/bin/env python
#
# take .CSV file provided by ip2location and re-format it for postgres8
#
# Import with
#
#  COPY ipcitylatlongispdomain from '/Users/arthur/honeynet/data/ip2location/fred' using delimiters ',';


import csv
import sys

if __name__ == '__main__':

    if len(sys.argv) != 3:
        print "Usage: <input csv file> <output csv file>"
        sys.exit(1)    

    r = open(sys.argv[1])
    w = open(sys.argv[2], 'w')
    
    reader = csv.reader(r, quoting = csv.QUOTE_ALL, quotechar='"', delimiter=',', lineterminator='\r\n')
    writer = csv.writer(w, escapechar='\\', delimiter=',', lineterminator='\n', quoting=csv.QUOTE_NONE)
    
    for row in reader:
        writer.writerow(row)

